Page MenuHomePhabricator

Label for unit isn't displayed correctly, just Q-number
Closed, ResolvedPublic8 Estimated Story Points

Assigned To
Authored By
Kristbaum
Nov 16 2019, 2:10 PM
Referenced Files
F31691848: image.png
Mar 19 2020, 12:39 PM
F31093217: bug3.png
Nov 16 2019, 2:10 PM
F31093219: bug4.png
Nov 16 2019, 2:10 PM
F31093220: bug2.png
Nov 16 2019, 2:10 PM
F31093218: bug.png
Nov 16 2019, 2:10 PM

Description

If you open an item like Q74434535 and scroll down to the "Minimum Age" statement, you see the unit displayed as Q577 instead of the correct label ("year"). If you click on edit and search for Q577 in the unit field, and then click on cancel, it displays correctly again. This behaviour happens regardless of language.

bug2.png (171×914 px, 16 KB)

bug4.png (137×905 px, 8 KB)

bug.png (149×914 px, 6 KB)

bug3.png (146×910 px, 6 KB)

Event Timeline

Addshore added a subscriber: Addshore.

I don't appear to be able to reproduce this.

Is it still happening for you?
Are you logged in / out?
What is your user language?
What is your browser accepts language?

FWIW I've seen a few people mention this over the last days.

And it's happening on https://www.wikidata.org/wiki/Q74434535 for me still right now. (Logged in, English)

After doing https://www.wikidata.org/wiki/Q74434535?action=purge I seem to be able to see the issue.

After another purge it seemed to go away, and then another purge and it came back.

I think you are right. Also purging didn't work for me.

Addshore set the point value for this task to 8.
Ladsgroup added a subscriber: Ladsgroup.

I'm making progress here, so let me lick the cookie.

Change 551861 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Cache SqlEntityInfoBuilder also based on term type

https://gerrit.wikimedia.org/r/551861

Change 551861 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Cache SqlEntityInfoBuilder also based on term type

https://gerrit.wikimedia.org/r/551861

Change 552493 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.5] Cache SqlEntityInfoBuilder also based on term type

https://gerrit.wikimedia.org/r/552493

Change 552493 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.5] Cache SqlEntityInfoBuilder also based on term type

https://gerrit.wikimedia.org/r/552493

Mentioned in SAL (#wikimedia-operations) [2019-11-22T13:06:06Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/Wikibase/lib/includes/Store/Sql/SqlEntityInfoBuilder.php: T238473 (duration: 00m 52s)

This problem seems to have popped back up, starting ca. March 18. Applies both to newly created items and pre-existing ones.

image.png (185×514 px, 9 KB)